# Variable transform_for_async

transform_for_async: (
expression: string,
statefuns: Record<string, PluginFunction>,
) => { expr_string: string; isAsync: boolean }

#### Type Declaration

- - (
    expression: string,
    statefuns: Record<string, PluginFunction>,
    ): { expr_string: string; isAsync: boolean }

  - #### Parameters

    - expression: string
    - statefuns: Record<string, PluginFunction>

    #### Returns { expr_string: string; isAsync: boolean }

- Defined in packages/saltcorn-data/models/index.ts:90